from django.contrib.sitemaps import Sitemap
from django.urls import reverse

class StaticViewSitemap(Sitemap):
    def items(self):
        return ['home', 'website-seo', 'youtube-seo', 'faq', 'testimonials']

    def location(self, item):
        if item in ['website-seo', 'youtube-seo', 'faq', 'testimonials']:
            return '/' + item
        return reverse(item)
